# FoundationClasses
TKernel
Storage

# Storage_SeqOfRoot Class Reference

`#include <Storage_SeqOfRoot.hxx>`

Inheritance diagram for Storage_SeqOfRoot:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
| Storage_SeqOfRoot ()
Standard_EXPORT void | Clear ()
| ~Storage_SeqOfRoot ()
Standard_EXPORT const Storage_SeqOfRoot & | Assign (const Storage_SeqOfRoot &Other)
const Storage_SeqOfRoot & | operator= (const Storage_SeqOfRoot &Other)
Standard_EXPORT void | Append (const Handle(Storage_Root)&T)
void | Append (Storage_SeqOfRoot &S)
Standard_EXPORT void | Prepend (const Handle(Storage_Root)&T)
void | Prepend (Storage_SeqOfRoot &S)
void | InsertBefore (const Standard_Integer Index, const Handle(Storage_Root)&T)
void | InsertBefore (const Standard_Integer Index, Storage_SeqOfRoot &S)
Standard_EXPORT void | InsertAfter (const Standard_Integer Index, const Handle(Storage_Root)&T)
void | InsertAfter (const Standard_Integer Index, Storage_SeqOfRoot &S)
Standard_EXPORT const Handle_Storage_Root & | First () const
Standard_EXPORT const Handle_Storage_Root & | Last () const
void | Split (const Standard_Integer Index, Storage_SeqOfRoot &Sub)
Standard_EXPORT const Handle_Storage_Root & | Value (const Standard_Integer Index) const
const Handle_Storage_Root & | operator() (const Standard_Integer Index) const
Standard_EXPORT void | SetValue (const Standard_Integer Index, const Handle(Storage_Root)&I)
Standard_EXPORT Handle_Storage_Root & | ChangeValue (const Standard_Integer Index)
Handle_Storage_Root & | operator() (const Standard_Integer Index)
Standard_EXPORT void | Remove (const Standard_Integer Index)
Standard_EXPORT void | Remove (const Standard_Integer FromIndex, const Standard_Integer ToIndex)

## Private Member Functions

Standard_EXPORT | Storage_SeqOfRoot (const Storage_SeqOfRoot &Other)

## Constructor & Destructor Documentation

Storage_SeqOfRoot::Storage_SeqOfRoot | ( |  | ) |

Storage_SeqOfRoot::~Storage_SeqOfRoot | ( |  | ) | `[inline]`

Standard_EXPORT Storage_SeqOfRoot::Storage_SeqOfRoot | ( | const Storage_SeqOfRoot & | Other | ) | `[private]`

## Member Function Documentation

void Storage_SeqOfRoot::Append | ( | Storage_SeqOfRoot & | S | ) |

Standard_EXPORT void Storage_SeqOfRoot::Append | ( | const Handle(Storage_Root)& | T | ) |

Standard_EXPORT const Storage_SeqOfRoot& Storage_SeqOfRoot::Assign | ( | const Storage_SeqOfRoot & | Other | ) |

Standard_EXPORT Handle_Storage_Root& Storage_SeqOfRoot::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void Storage_SeqOfRoot::Clear | ( |  | ) |

Standard_EXPORT const Handle_Storage_Root& Storage_SeqOfRoot::First | ( |  | ) | const

void Storage_SeqOfRoot::InsertAfter | ( | const Standard_Integer | Index,
|  | Storage_SeqOfRoot & | S
| ) |

Standard_EXPORT void Storage_SeqOfRoot::InsertAfter | ( | const Standard_Integer | Index,
|  | const Handle(Storage_Root)& | T
| ) |

void Storage_SeqOfRoot::InsertBefore | ( | const Standard_Integer | Index,
|  | Storage_SeqOfRoot & | S
| ) |

void Storage_SeqOfRoot::InsertBefore | ( | const Standard_Integer | Index,
|  | const Handle(Storage_Root)& | T
| ) |

Standard_EXPORT const Handle_Storage_Root& Storage_SeqOfRoot::Last | ( |  | ) | const

void Storage_SeqOfRoot::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from TCollection_BaseSequence.

void* Storage_SeqOfRoot::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from TCollection_BaseSequence.

void* Storage_SeqOfRoot::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from TCollection_BaseSequence.

Handle_Storage_Root& Storage_SeqOfRoot::operator() | ( | const Standard_Integer | Index | ) | `[inline]`

const Handle_Storage_Root& Storage_SeqOfRoot::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

const Storage_SeqOfRoot& Storage_SeqOfRoot::operator= | ( | const Storage_SeqOfRoot & | Other | ) | `[inline]`

void Storage_SeqOfRoot::Prepend | ( | Storage_SeqOfRoot & | S | ) |

Standard_EXPORT void Storage_SeqOfRoot::Prepend | ( | const Handle(Storage_Root)& | T | ) |

Standard_EXPORT void Storage_SeqOfRoot::Remove | ( | const Standard_Integer | FromIndex,
|  | const Standard_Integer | ToIndex
| ) |

Standard_EXPORT void Storage_SeqOfRoot::Remove | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void Storage_SeqOfRoot::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(Storage_Root)& | I
| ) |

void Storage_SeqOfRoot::Split | ( | const Standard_Integer | Index,
|  | Storage_SeqOfRoot & | Sub
| ) |

Standard_EXPORT const Handle_Storage_Root& Storage_SeqOfRoot::Value | ( | const Standard_Integer | Index | ) | const

The documentation for this class was generated from the following file:

- Storage_SeqOfRoot.hxx